(function() {
	Vue.component('left-menu', {
		template: `<div class="w3-col c-border bgc-fff ptb20 plr40" style="width:237px;">
						<div class="w3-row">
							<div class="w3-col" style="width:30px;">
								<img class="media-object" src="../../../images/icon_wodezhanghu.png">
							</div>
							<div class="w3-rest plr12">
								<div class="c-f20">我的账户</div>
								<div class="mine-menu">
									<div id="info" class="pt20" @click="goinfo()">个人设置</div>
									<div id="notices" class="pt20"  @click="gonotices()">消息通知</div>
									<div id="securitySetting" class="pt20"  @click="gosecuritySetting()">安全设置</div>
								</div>
							</div>
						</div>
						<div class="w3-row pt30 pb10">
							<div class="w3-col" style="width:30px;">
								<img class="media-object" src="../../../images/icon_yuyueguahao.png">
							</div>
							<div class="w3-rest plr12">
								<div class="c-f20">预约挂号</div>
								<div class="mine-menu">
									<div id="record" class="pt20"  @click="gorecord()">预约记录</div>
									<!--<div id="doctor" class="pt20"  @click="godoctor()">常用就诊人</div>-->
								</div>
							</div>
						</div>
					</div>`,
		props: ["code"],
		data: function() {
			return {

			}
		},
		mounted: function() {
			$("#" + this.code).addClass("active")
		},
		methods: {
			goinfo: function() {
				location.href = "../../mine/html/personal-info.html"
			},
			gosecuritySetting: function() {
				location.href = "../../mine/html/security-setting.html"
			},
			gorecord: function() {
				location.href = "../../mine/html/record.html"
			},
			godoctor: function() {
				location.href = "../../mine/html/doctor.html"
			},
			gonotices:function(){
				location.href = "../../mine/html/notices.html"
			}
		},
	})

})()